LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XChangeListener Interface Referencepublished

is the listener interface for receiving notifications about data changes. More...

`import"XChangeListener.idl";`

Inheritance diagram for XChangeListener:

## Public Member Functions
void | changed ([in] com::sun::star::lang::EventObject rEvent)
| is invoked when the data of a component has been changed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is the listener interface for receiving notifications about data changes.

The concrete semantics of a change (i.e. the conditions for when a change event is fired) must be specified in the description of the service broadcasting the change.

See also
  XChangeBroadcaster

## Member Function Documentation

## ◆ changed()

void changed | ( | [in] com::sun::star::lang::EventObject | rEvent | ) |

is invoked when the data of a component has been changed.

Parameters

  rEvent | A descriptor specifying the source of the event.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XChangeListener.idl